<script>
import config from './config'
import { getToken } from '@/utils/auth'
import { showMessageTabRedDot } from "@/utils/common.js"
export default {
  onLaunch: function () {
    this.initApp()
    // 在应用启动时为消息tab显示红点
    showMessageTabRedDot()
  },
  methods: {
    // 初始化应用
    initApp() {
      // 初始化应用配置
      this.initConfig()
      // 检查用户登录状态
      //#ifdef H5
      this.checkLogin()
      //#endif
    },
    initConfig() {
      this.globalData.config = config
    },
    checkLogin() {
      if (!getToken()) {
        this.$tab.reLaunch('/pages/login')
      }
    },
  }
}
</script>

<style lang="scss">
@import "uview-ui/index.scss";
@import '@/static/scss/index.scss';

uni-page-body {
  height: 100%;
  margin-bottom: 0 !important;
  padding-bottom: 0 !important;
}
</style>
